// GitManager.js
class GitManager {
    constructor(repoTracker) {
        this.repoTracker = repoTracker;
    }

    async setupGitWatcher(webviewView, disposables) {
        await this.sendGitStatus(webviewView);
        
        const gitWatcher = await this.repoTracker.watchGitChanges();
        gitWatcher.onDidChange(() => this.sendGitStatus(webviewView));
        
        disposables.push(gitWatcher);
    }

    async sendGitStatus(webviewView) {
        const gitStatus = await this.repoTracker.getGitStatus();
        webviewView.webview.postMessage({
            command: 'updateGitStatus',
            gitStatus: gitStatus
        });
    }
}

module.exports = { GitManager };
