// styles.js
exports.styles = /*css*/ `
    .git-info {
        padding: 8px;
        background: var(--vscode-editor-inactiveSelectionBackground);
        border-radius: var(--border-radius);
        margin-bottom: 8px;
        font-size: 0.9em;
    }

    .git-info span {
        margin-right: 16px;
        color: var(--vscode-descriptionForeground);
    }

    .suggestions {
        position: absolute;
        background: var(--vscode-editor-background);
        border: 1px solid var(--vscode-panel-border);
        border-radius: var(--border-radius);
        max-height: 200px;
        overflow-y: auto;
        z-index: 1000;
        display: none;
    }

    .suggestion {
        padding: 8px 12px;
        cursor: pointer;
    }

    .suggestion:hover {
        background: var(--vscode-list-hoverBackground);
    }

    .chat-container {
        display: flex;
        flex-direction: column;
        height: 100%;
        padding: 16px;
    }

    .message-container {
        flex: 1;
        overflow-y: auto;
        margin-bottom: 16px;
    }

    .input-container {
        display: flex;
        gap: 8px;
    }

    .code-block-wrapper {
        margin: 16px 0;
        border-radius: var(--border-radius);
        border: 1px solid var(--vscode-panel-border);
    }

    .code-block-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 8px;
        background: var(--vscode-editor-inactiveSelectionBackground);
        border-bottom: 1px solid var(--vscode-panel-border);
    }

    .code-language {
        font-family: var(--vscode-editor-font-family);
        font-size: 0.9em;
        color: var(--vscode-descriptionForeground);
    }

    .code-block-buttons {
        display: flex;
        gap: 8px;
    }

    .code-button {
        padding: 4px 8px;
        background: var(--vscode-button-background);
        color: var(--vscode-button-foreground);
        border: none;
        border-radius: 4px;
        cursor: pointer;
        font-size: 0.9em;
    }

    .code-button:hover {
        background: var(--vscode-button-hoverBackground);
    }

    pre.hljs {
        margin: 0;
        padding: 16px;
        overflow-x: auto;
    }
`;
