const getBaseStyles = require('./styles');
const getBaseScripts = require('./scripts');

function getWebviewContent() {
    return `<!DOCTYPE html>
    <html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/11.8.0/styles/vs2015.min.css">
        <style>
            ${getBaseStyles()}
        </style>
    </head>
    <body>
        <div id="gitStatus"></div>
        <div id="chatContainer"></div>
        <div class="input-container">
            <textarea id="prompt" placeholder="Type your message... Use @ to reference files"></textarea>
            <button id="send">Send</button>
        </div>
        <script>
            ${getBaseScripts()}
        </script>
    </body>
    </html>`;
}

module.exports = getWebviewContent;